curl --location --request POST 'https://api.revocalize.ai/models/create' \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: Bearer <token>' \
--form 'training_audio_files=@"/path/to/training_audio_files.zip"'
{
"model_id": "5f7b1b1b-1b1b-1b1b-1b1b-1b1b1b1b1b1b"
}
Create Model
This endpoint creates a new AI voice model. The model is created in a pending state. You must train the model before it can be used for synthesis.
POST
/
models
/
create
curl --location --request POST 'https://api.revocalize.ai/models/create' \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: Bearer <token>' \
--form 'training_audio_files=@"/path/to/training_audio_files.zip"'
{
"model_id": "5f7b1b1b-1b1b-1b1b-1b1b-1b1b1b1b1b1b"
}
Request
.zip file
required
A zip file containing the training audio files. The zip file must contain the following files:
model.json- a JSON file containing the model metadata.audio- a folder containing the audio files.
Response
string
The ID of the pending model. After training the model, this ID can be used to reference the model in other API calls.
curl --location --request POST 'https://api.revocalize.ai/models/create' \
--header 'Content-Type: multipart/form-data' \
--header 'Authorization: Bearer <token>' \
--form 'training_audio_files=@"/path/to/training_audio_files.zip"'
{
"model_id": "5f7b1b1b-1b1b-1b1b-1b1b-1b1b1b1b1b1b"
}